SND_PCM_HW_PARAM_M(9)

NAME
snd_pcm_hw_param_mask -

SYNOPSIS

int snd_pcm_hw_param_mask (struct snd_pcm_substream * pcm, struct snd_pcm_hw_params * params, snd_pcm_hw_param_t var, const struct snd_mask * val);

ARGUMENTS

pcm PCM instance

params
    the hw_params instance

var parameter to retrieve

val mask to apply

DESCRIPTION

Inside configuration space defined by PARAMS remove from PAR all values not contained in MASK. Reduce configuration space accordingly. This function can be called only for SNDRV_PCM_HW_PARAM_ACCESS, SNDRV_PCM_HW_PARAM_FORMAT, SNDRV_PCM_HW_PARAM_SUBFORMAT. Return 0 on success or -EINVAL if the configuration space is empty